---
title: "Deletes an automation."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › automation

`DELETE /v1/stores/{store}/automations/{automation}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `automation:delete`

## Path parameters

- `store` (`deleteAutomation.path.store`; string, required) — The store's id.
- `automation` (`deleteAutomation.path.automation`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`deleteAutomation.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/automations/<automation>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/automations/<automation>';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/automations/<automation>"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Deletes an automation.

#### Example

```json
{
  "id": "string",
  "deleted": true
}
```

- `id` (`deleteAutomation.response.200.id`; string, required)
- `deleted` (`deleteAutomation.response.200.deleted`; boolean, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`deleteAutomation.response.default.type`; string, required)
  - format `uri`
- `title` (`deleteAutomation.response.default.title`; string, required)
- `status` (`deleteAutomation.response.default.status`; integer, required)
- `detail` (`deleteAutomation.response.default.detail`; string, required)
- `code` (`deleteAutomation.response.default.code`; string, optional)
- `context` (`deleteAutomation.response.default.context`; object, optional)
- `reached_core` (`deleteAutomation.response.default.reached_core`; boolean, optional)
- `core_answer` (`deleteAutomation.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/delete-automation/index.md
